{
    "computeLearningCurves": false,
    "algorithm": "LOGISTIC_REGRESSION",
    "logit_grid": {
        "penalty": {
            "values": {
                "l2": {
                    "enabled": true
                },
                "l1": {
                    "enabled": false
                }
            }
        },
        "multi_class": "ovr",
        "C": {
            "gridMode": "EXPLICIT",
            "randomMode": "RANGE",
            "range": {
                "scaling": "LOGARITHMIC",
                "max": 100.0,
                "nbValues": 3,
                "min": 0.01
            },
            "values": [
                0.01,
                0.1,
                1.0,
                10.0,
                100.0
            ],
            "limit": {
                "min": 1e-23
            }
        },
        "n_jobs": 2,
        "enabled": true
    },
    "autoOptimizeThreshold": true,
    "gridLength": 5,
    "metrics": {
        "thresholdOptimizationMetric": "F1",
        "liftPoint": 0.4,
        "costMatrixWeights": {
            "fnGain": 0.0,
            "tpGain": 1.0,
            "tnGain": 0.0,
            "fpGain": -0.3
        },
        "evaluationMetric": "ROC_AUC"
    },
    "forcedClassifierThreshold": 0.0,
    "skipExpensiveReports": false,
    "max_ensemble_nodes_serialized": 0,
    "pluginAlgoCustomGridSearch": false,
    "grid_search_params": {
        "nIter": 0,
        "nJobs": 4,
        "nIterRandom": 5,
        "bayesianOptimizer": "SCIKIT_OPTIMIZE",
        "strategy": "GRID",
        "randomized": true,
        "shuffleIterations": 1,
        "seed": 0,
        "mode": "KFOLD",
        "timeout": 0,
        "cvSeed": 1337,
        "splitRatio": 0.8,
        "nFolds": 3,
        "stratified": true,
        "foldOffset": true
    }
}